import { isObject } from '../../utils/types'

type RemoveAnnouncementResponse = {
    Answer: boolean,
}

const isRemoveAnnouncementResponse = (obj: unknown): obj is RemoveAnnouncementResponse => (
    isObject(obj, {
        'Answer': 'boolean',
    })
)

type RemoveAnnouncement = boolean

export type { RemoveAnnouncementResponse, RemoveAnnouncement }

export { isRemoveAnnouncementResponse }
