import L from 'leaflet'

import itemMarker from '../assets/itemMarker.png'
import trashMarker from '../assets/trashMarker.png'

const iconItem = new L.Icon({
    iconUrl: itemMarker,
    iconRetinaUrl: itemMarker,
    popupAnchor: [0, 0],
    iconSize: [41, 41],
})

const iconTrash = new L.Icon({
    iconUrl: trashMarker,
    iconRetinaUrl: trashMarker,
    popupAnchor: [0, 0],
    iconSize: [34, 41],
})

export { iconItem, iconTrash }
